View, create, update and delete teams in the Vidyard platform.

Supported Formats

json

GET https://api.vidyard.com/dashboard/v1/teams
Gets a list of teams in your account

Gets a list of teams in your account. When enable_query_team_members is true, each team includes members (id, first_name, last_name, email) and member_count.

Supported Formats

json

Errors

Code Description
400 Bad Request: body has wrong syntax or unable to handle request
401 Unauthorized: auth_token omitted or authentication failed
403 Forbidden: This action cannot be performed
404 Not Found: The requested resource could not be found
406 Not Acceptable: Accept or Content-Type headers must be application/json, text/csv or application/vnd.openxmlformats-officedocument.spreadsheetml.sheet

Examples

REQUEST
Accept: application/json

RESPONSE (enable_query_team_members=false)
200 (OK)
{
  "teams": [
    {
      "id": 8192,
      "name": "My Team",
      "is_admin": false,
      "account_id": 992,
      "created_at": 1374261385,
      "updated_at": 1374261385
    }
  ],
  "summary": {
    "page": 1,
    "per_page": 20,
    "count": 80
  }
}

RESPONSE (enable_query_team_members=true)
200 (OK)
{
  "teams": [
    {
      "id": 8192,
      "name": "My Team",
      "is_admin": false,
      "account_id": 992,
      "created_at": 1374261385,
      "updated_at": 1374261385,
      "members": [
        {
          "id": 1,
          "first_name": "Jane",
          "last_name": "Doe",
          "email": "jane@example.com"
        }
      ],
      "member_count": 1
    }
  ],
  "summary": {
    "page": 1,
    "per_page": 20,
    "count": 80
  }
}

Params

Param name Description
auth_token
optional

API token needed to authorize requests
This can appear as an attribute in the body of the request or the query parameters on the URL

Validations:

  • Must be a String

admin
optional

Filters on where it is the admin team or not

Validations:

  • Parameter has to be Boolean.

includes
optional

Includes the given relation with each returned team

Validations:

  • Must be one of: .

query
optional

Response will contain teams with names that start with the search string. When enable_query_team_members is true, also matches teams with members whose first_name, last_name, or email start with the search string.

Validations:

  • Must be a String

enable_query_team_members
optional

Enables member info (id, first_name, last_name, email) and member_count to be returned for each team

Validations:

  • Parameter has to be Boolean.